/*
    2000 Microsoft Corporation. All rights reserved.
*/

var noPane = 0;
var audPane = 1;
var plPane = 2;
var currentPane = audPane;
var prevPane = 0;
var openHeight = 333;
var closedHeight = 246;

var vidIsRunning = false;

function OnLoad()
{
    pl.setColumnResizeMode(0, "Stretches");
    pl.setColumnResizeMode(1, "AutoSizeData");
    OnOpenStateChange();
    SetVisibility(noPane);
    vidIsRunning = (player.OpenState==osMediaOpen &&
        player.currentMedia.ImageSourceWidth>0);
    vidIsRunning ? StartVideo() : EndVideo();
}

function OnOpenStateChange()
{
    if(player.openState == osMediaOpen)
    {
        UpdateMetadata();
    }
}

function StartVideo()
{
    vid.visible = true;
    visEffects.visible =
        bgVis.enabled =
        bgVis.tabStop = false;
    bgVis.upToolTip = "";
}

function EndVideo()
{
    vid.visible = false;
    visEffects.visible =
        bgVis.enabled =
        bgVis.tabStop = true;
    bgVis.upToolTip = xVisSep.toolTip;
}

function UpdateMetadata()
{
    var temp = player.currentmedia.name;
    metadata.value =
        player.currentmedia.getiteminfo("author");
    if(metadata.value!="" && temp!="")
    {
        metadata.value += xVisSep.value;
    }
    metadata.value += temp;
    metadata.scrolling = (metadata.textWidth>metadata.width);
}

function SetVisibility(newPane)
{
    switch(newPane)
    {
        case noPane:
            bgAud.upToolTip = xAudPl.toolTip;
            bgPl.upToolTip = xAudPl.value;
            view.height = closedHeight;
            sDrawer.visible =
                pl.visible =
                sAud.visible = false;
            bDrawer.tabStop = true;
            prevPane = currentPane;
            break;
        case audPane:
            bgAud.upToolTip = xClose.toolTip;
            bgPl.upToolTip = xAudPl.value;
            view.height = openHeight;
            sDrawer.visible =
                sAud.visible = true;
            pl.visible =
                bDrawer.tabStop = false;
            break;
        case plPane:
            bgAud.upToolTip = xAudPl.toolTip;
            bgPl.upToolTip = xClose.toolTip;
            view.height = openHeight;
            sDrawer.visible =
                pl.visible = true;
            sAud.visible =
                bDrawer.tabStop = false;
            break;
    }

    currentPane = newPane;
}

function AdjustAudio()
{
    eq.gainLevel1 = bass.value;
    eq.gainLevel2 = (8*bass.value +   treble.value)/9;
    eq.gainLevel3 = (7*bass.value + 2*treble.value)/9;
    eq.gainLevel4 = (6*bass.value + 3*treble.value)/9;
    eq.gainLevel5 = (5*bass.value + 4*treble.value)/9;
    eq.gainLevel6 = (4*bass.value + 5*treble.value)/9;
    eq.gainLevel7 = (3*bass.value + 6*treble.value)/9;
    eq.gainLevel8 = (2*bass.value + 7*treble.value)/9;
    eq.gainLevel9 = (  bass.value + 8*treble.value)/9;
    eq.gainLevel10 = treble.value;
}